=== debian/changelog ===
ros-humble-polygon-rviz-plugins (1.0.2-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 10 Apr 2023 13:31:32 -0000
