=== debian/control ===
Source: ros-humble-polygon-rviz-plugins
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-color-util, ros-humble-geometry-msgs, ros-humble-pluginlib, ros-humble-polygon-msgs, ros-humble-polygon-utils, ros-humble-rviz-common, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-polygon-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-color-util, ros-humble-geometry-msgs, ros-humble-pluginlib, ros-humble-polygon-msgs, ros-humble-polygon-utils, ros-humble-rviz-common, ros-humble-std-msgs, ros-humble-ros-workspace
Description: RViz visualizations for polygons
